Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network31.243.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
31.243.0.0
Broadcast address
31.243.63.255
First usable
31.243.0.1
Last usable
31.243.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 1FF30000 · Integer 536018944 to 536035327
Reverse DNS zones
0.243.31.in-addr.arpa
1.243.31.in-addr.arpa
2.243.31.in-addr.arpa
3.243.31.in-addr.arpa
4.243.31.in-addr.arpa
5.243.31.in-addr.arpa
6.243.31.in-addr.arpa
7.243.31.in-addr.arpa
8.243.31.in-addr.arpa
9.243.31.in-addr.arpa
10.243.31.in-addr.arpa
11.243.31.in-addr.arpa
12.243.31.in-addr.arpa
13.243.31.in-addr.arpa
14.243.31.in-addr.arpa
15.243.31.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011111.11110011.00000000.0000000031.243.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00011111.11110011.00000000.0000000031.243.0.0
Broadcast00011111.11110011.00111111.1111111131.243.63.255
Split into smaller subnets/27

31.243.0.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
131.243.0.0/2731.243.0.1 to 31.243.0.3031.243.0.3130
231.243.0.32/2731.243.0.33 to 31.243.0.6231.243.0.6330
331.243.0.64/2731.243.0.65 to 31.243.0.9431.243.0.9530
431.243.0.96/2731.243.0.97 to 31.243.0.12631.243.0.12730
531.243.0.128/2731.243.0.129 to 31.243.0.15831.243.0.15930
631.243.0.160/2731.243.0.161 to 31.243.0.19031.243.0.19130
731.243.0.192/2731.243.0.193 to 31.243.0.22231.243.0.22330
831.243.0.224/2731.243.0.225 to 31.243.0.25431.243.0.25530
931.243.1.0/2731.243.1.1 to 31.243.1.3031.243.1.3130
1031.243.1.32/2731.243.1.33 to 31.243.1.6231.243.1.6330
1131.243.1.64/2731.243.1.65 to 31.243.1.9431.243.1.9530
1231.243.1.96/2731.243.1.97 to 31.243.1.12631.243.1.12730
1331.243.1.128/2731.243.1.129 to 31.243.1.15831.243.1.15930
1431.243.1.160/2731.243.1.161 to 31.243.1.19031.243.1.19130
1531.243.1.192/2731.243.1.193 to 31.243.1.22231.243.1.22330
1631.243.1.224/2731.243.1.225 to 31.243.1.25431.243.1.25530
1731.243.2.0/2731.243.2.1 to 31.243.2.3031.243.2.3130
1831.243.2.32/2731.243.2.33 to 31.243.2.6231.243.2.6330
1931.243.2.64/2731.243.2.65 to 31.243.2.9431.243.2.9530
2031.243.2.96/2731.243.2.97 to 31.243.2.12631.243.2.12730
2131.243.2.128/2731.243.2.129 to 31.243.2.15831.243.2.15930
2231.243.2.160/2731.243.2.161 to 31.243.2.19031.243.2.19130
2331.243.2.192/2731.243.2.193 to 31.243.2.22231.243.2.22330
2431.243.2.224/2731.243.2.225 to 31.243.2.25431.243.2.25530
2531.243.3.0/2731.243.3.1 to 31.243.3.3031.243.3.3130
2631.243.3.32/2731.243.3.33 to 31.243.3.6231.243.3.6330
2731.243.3.64/2731.243.3.65 to 31.243.3.9431.243.3.9530
2831.243.3.96/2731.243.3.97 to 31.243.3.12631.243.3.12730
2931.243.3.128/2731.243.3.129 to 31.243.3.15831.243.3.15930
3031.243.3.160/2731.243.3.161 to 31.243.3.19031.243.3.19130
3131.243.3.192/2731.243.3.193 to 31.243.3.22231.243.3.22330
3231.243.3.224/2731.243.3.225 to 31.243.3.25431.243.3.25530
3331.243.4.0/2731.243.4.1 to 31.243.4.3031.243.4.3130
3431.243.4.32/2731.243.4.33 to 31.243.4.6231.243.4.6330
3531.243.4.64/2731.243.4.65 to 31.243.4.9431.243.4.9530
3631.243.4.96/2731.243.4.97 to 31.243.4.12631.243.4.12730
3731.243.4.128/2731.243.4.129 to 31.243.4.15831.243.4.15930
3831.243.4.160/2731.243.4.161 to 31.243.4.19031.243.4.19130
3931.243.4.192/2731.243.4.193 to 31.243.4.22231.243.4.22330
4031.243.4.224/2731.243.4.225 to 31.243.4.25431.243.4.25530
4131.243.5.0/2731.243.5.1 to 31.243.5.3031.243.5.3130
4231.243.5.32/2731.243.5.33 to 31.243.5.6231.243.5.6330
4331.243.5.64/2731.243.5.65 to 31.243.5.9431.243.5.9530
4431.243.5.96/2731.243.5.97 to 31.243.5.12631.243.5.12730
4531.243.5.128/2731.243.5.129 to 31.243.5.15831.243.5.15930
4631.243.5.160/2731.243.5.161 to 31.243.5.19031.243.5.19130
4731.243.5.192/2731.243.5.193 to 31.243.5.22231.243.5.22330
4831.243.5.224/2731.243.5.225 to 31.243.5.25431.243.5.25530
4931.243.6.0/2731.243.6.1 to 31.243.6.3031.243.6.3130
5031.243.6.32/2731.243.6.33 to 31.243.6.6231.243.6.6330
5131.243.6.64/2731.243.6.65 to 31.243.6.9431.243.6.9530
5231.243.6.96/2731.243.6.97 to 31.243.6.12631.243.6.12730
5331.243.6.128/2731.243.6.129 to 31.243.6.15831.243.6.15930
5431.243.6.160/2731.243.6.161 to 31.243.6.19031.243.6.19130
5531.243.6.192/2731.243.6.193 to 31.243.6.22231.243.6.22330
5631.243.6.224/2731.243.6.225 to 31.243.6.25431.243.6.25530
5731.243.7.0/2731.243.7.1 to 31.243.7.3031.243.7.3130
5831.243.7.32/2731.243.7.33 to 31.243.7.6231.243.7.6330
5931.243.7.64/2731.243.7.65 to 31.243.7.9431.243.7.9530
6031.243.7.96/2731.243.7.97 to 31.243.7.12631.243.7.12730
6131.243.7.128/2731.243.7.129 to 31.243.7.15831.243.7.15930
6231.243.7.160/2731.243.7.161 to 31.243.7.19031.243.7.19130
6331.243.7.192/2731.243.7.193 to 31.243.7.22231.243.7.22330
6431.243.7.224/2731.243.7.225 to 31.243.7.25431.243.7.25530
6531.243.8.0/2731.243.8.1 to 31.243.8.3031.243.8.3130
6631.243.8.32/2731.243.8.33 to 31.243.8.6231.243.8.6330
6731.243.8.64/2731.243.8.65 to 31.243.8.9431.243.8.9530
6831.243.8.96/2731.243.8.97 to 31.243.8.12631.243.8.12730
6931.243.8.128/2731.243.8.129 to 31.243.8.15831.243.8.15930
7031.243.8.160/2731.243.8.161 to 31.243.8.19031.243.8.19130
7131.243.8.192/2731.243.8.193 to 31.243.8.22231.243.8.22330
7231.243.8.224/2731.243.8.225 to 31.243.8.25431.243.8.25530
7331.243.9.0/2731.243.9.1 to 31.243.9.3031.243.9.3130
7431.243.9.32/2731.243.9.33 to 31.243.9.6231.243.9.6330
7531.243.9.64/2731.243.9.65 to 31.243.9.9431.243.9.9530
7631.243.9.96/2731.243.9.97 to 31.243.9.12631.243.9.12730
7731.243.9.128/2731.243.9.129 to 31.243.9.15831.243.9.15930
7831.243.9.160/2731.243.9.161 to 31.243.9.19031.243.9.19130
7931.243.9.192/2731.243.9.193 to 31.243.9.22231.243.9.22330
8031.243.9.224/2731.243.9.225 to 31.243.9.25431.243.9.25530
8131.243.10.0/2731.243.10.1 to 31.243.10.3031.243.10.3130
8231.243.10.32/2731.243.10.33 to 31.243.10.6231.243.10.6330
8331.243.10.64/2731.243.10.65 to 31.243.10.9431.243.10.9530
8431.243.10.96/2731.243.10.97 to 31.243.10.12631.243.10.12730
8531.243.10.128/2731.243.10.129 to 31.243.10.15831.243.10.15930
8631.243.10.160/2731.243.10.161 to 31.243.10.19031.243.10.19130
8731.243.10.192/2731.243.10.193 to 31.243.10.22231.243.10.22330
8831.243.10.224/2731.243.10.225 to 31.243.10.25431.243.10.25530
8931.243.11.0/2731.243.11.1 to 31.243.11.3031.243.11.3130
9031.243.11.32/2731.243.11.33 to 31.243.11.6231.243.11.6330
9131.243.11.64/2731.243.11.65 to 31.243.11.9431.243.11.9530
9231.243.11.96/2731.243.11.97 to 31.243.11.12631.243.11.12730
9331.243.11.128/2731.243.11.129 to 31.243.11.15831.243.11.15930
9431.243.11.160/2731.243.11.161 to 31.243.11.19031.243.11.19130
9531.243.11.192/2731.243.11.193 to 31.243.11.22231.243.11.22330
9631.243.11.224/2731.243.11.225 to 31.243.11.25431.243.11.25530
9731.243.12.0/2731.243.12.1 to 31.243.12.3031.243.12.3130
9831.243.12.32/2731.243.12.33 to 31.243.12.6231.243.12.6330
9931.243.12.64/2731.243.12.65 to 31.243.12.9431.243.12.9530
10031.243.12.96/2731.243.12.97 to 31.243.12.12631.243.12.12730
10131.243.12.128/2731.243.12.129 to 31.243.12.15831.243.12.15930
10231.243.12.160/2731.243.12.161 to 31.243.12.19031.243.12.19130
10331.243.12.192/2731.243.12.193 to 31.243.12.22231.243.12.22330
10431.243.12.224/2731.243.12.225 to 31.243.12.25431.243.12.25530
10531.243.13.0/2731.243.13.1 to 31.243.13.3031.243.13.3130
10631.243.13.32/2731.243.13.33 to 31.243.13.6231.243.13.6330
10731.243.13.64/2731.243.13.65 to 31.243.13.9431.243.13.9530
10831.243.13.96/2731.243.13.97 to 31.243.13.12631.243.13.12730
10931.243.13.128/2731.243.13.129 to 31.243.13.15831.243.13.15930
11031.243.13.160/2731.243.13.161 to 31.243.13.19031.243.13.19130
11131.243.13.192/2731.243.13.193 to 31.243.13.22231.243.13.22330
11231.243.13.224/2731.243.13.225 to 31.243.13.25431.243.13.25530
11331.243.14.0/2731.243.14.1 to 31.243.14.3031.243.14.3130
11431.243.14.32/2731.243.14.33 to 31.243.14.6231.243.14.6330
11531.243.14.64/2731.243.14.65 to 31.243.14.9431.243.14.9530
11631.243.14.96/2731.243.14.97 to 31.243.14.12631.243.14.12730
11731.243.14.128/2731.243.14.129 to 31.243.14.15831.243.14.15930
11831.243.14.160/2731.243.14.161 to 31.243.14.19031.243.14.19130
11931.243.14.192/2731.243.14.193 to 31.243.14.22231.243.14.22330
12031.243.14.224/2731.243.14.225 to 31.243.14.25431.243.14.25530
12131.243.15.0/2731.243.15.1 to 31.243.15.3031.243.15.3130
12231.243.15.32/2731.243.15.33 to 31.243.15.6231.243.15.6330
12331.243.15.64/2731.243.15.65 to 31.243.15.9431.243.15.9530
12431.243.15.96/2731.243.15.97 to 31.243.15.12631.243.15.12730
12531.243.15.128/2731.243.15.129 to 31.243.15.15831.243.15.15930
12631.243.15.160/2731.243.15.161 to 31.243.15.19031.243.15.19130
12731.243.15.192/2731.243.15.193 to 31.243.15.22231.243.15.22330
12831.243.15.224/2731.243.15.225 to 31.243.15.25431.243.15.25530
12931.243.16.0/2731.243.16.1 to 31.243.16.3031.243.16.3130
13031.243.16.32/2731.243.16.33 to 31.243.16.6231.243.16.6330
13131.243.16.64/2731.243.16.65 to 31.243.16.9431.243.16.9530
13231.243.16.96/2731.243.16.97 to 31.243.16.12631.243.16.12730
13331.243.16.128/2731.243.16.129 to 31.243.16.15831.243.16.15930
13431.243.16.160/2731.243.16.161 to 31.243.16.19031.243.16.19130
13531.243.16.192/2731.243.16.193 to 31.243.16.22231.243.16.22330
13631.243.16.224/2731.243.16.225 to 31.243.16.25431.243.16.25530
13731.243.17.0/2731.243.17.1 to 31.243.17.3031.243.17.3130
13831.243.17.32/2731.243.17.33 to 31.243.17.6231.243.17.6330
13931.243.17.64/2731.243.17.65 to 31.243.17.9431.243.17.9530
14031.243.17.96/2731.243.17.97 to 31.243.17.12631.243.17.12730
14131.243.17.128/2731.243.17.129 to 31.243.17.15831.243.17.15930
14231.243.17.160/2731.243.17.161 to 31.243.17.19031.243.17.19130
14331.243.17.192/2731.243.17.193 to 31.243.17.22231.243.17.22330
14431.243.17.224/2731.243.17.225 to 31.243.17.25431.243.17.25530
14531.243.18.0/2731.243.18.1 to 31.243.18.3031.243.18.3130
14631.243.18.32/2731.243.18.33 to 31.243.18.6231.243.18.6330
14731.243.18.64/2731.243.18.65 to 31.243.18.9431.243.18.9530
14831.243.18.96/2731.243.18.97 to 31.243.18.12631.243.18.12730
14931.243.18.128/2731.243.18.129 to 31.243.18.15831.243.18.15930
15031.243.18.160/2731.243.18.161 to 31.243.18.19031.243.18.19130
15131.243.18.192/2731.243.18.193 to 31.243.18.22231.243.18.22330
15231.243.18.224/2731.243.18.225 to 31.243.18.25431.243.18.25530
15331.243.19.0/2731.243.19.1 to 31.243.19.3031.243.19.3130
15431.243.19.32/2731.243.19.33 to 31.243.19.6231.243.19.6330
15531.243.19.64/2731.243.19.65 to 31.243.19.9431.243.19.9530
15631.243.19.96/2731.243.19.97 to 31.243.19.12631.243.19.12730
15731.243.19.128/2731.243.19.129 to 31.243.19.15831.243.19.15930
15831.243.19.160/2731.243.19.161 to 31.243.19.19031.243.19.19130
15931.243.19.192/2731.243.19.193 to 31.243.19.22231.243.19.22330
16031.243.19.224/2731.243.19.225 to 31.243.19.25431.243.19.25530
16131.243.20.0/2731.243.20.1 to 31.243.20.3031.243.20.3130
16231.243.20.32/2731.243.20.33 to 31.243.20.6231.243.20.6330
16331.243.20.64/2731.243.20.65 to 31.243.20.9431.243.20.9530
16431.243.20.96/2731.243.20.97 to 31.243.20.12631.243.20.12730
16531.243.20.128/2731.243.20.129 to 31.243.20.15831.243.20.15930
16631.243.20.160/2731.243.20.161 to 31.243.20.19031.243.20.19130
16731.243.20.192/2731.243.20.193 to 31.243.20.22231.243.20.22330
16831.243.20.224/2731.243.20.225 to 31.243.20.25431.243.20.25530
16931.243.21.0/2731.243.21.1 to 31.243.21.3031.243.21.3130
17031.243.21.32/2731.243.21.33 to 31.243.21.6231.243.21.6330
17131.243.21.64/2731.243.21.65 to 31.243.21.9431.243.21.9530
17231.243.21.96/2731.243.21.97 to 31.243.21.12631.243.21.12730
17331.243.21.128/2731.243.21.129 to 31.243.21.15831.243.21.15930
17431.243.21.160/2731.243.21.161 to 31.243.21.19031.243.21.19130
17531.243.21.192/2731.243.21.193 to 31.243.21.22231.243.21.22330
17631.243.21.224/2731.243.21.225 to 31.243.21.25431.243.21.25530
17731.243.22.0/2731.243.22.1 to 31.243.22.3031.243.22.3130
17831.243.22.32/2731.243.22.33 to 31.243.22.6231.243.22.6330
17931.243.22.64/2731.243.22.65 to 31.243.22.9431.243.22.9530
18031.243.22.96/2731.243.22.97 to 31.243.22.12631.243.22.12730
18131.243.22.128/2731.243.22.129 to 31.243.22.15831.243.22.15930
18231.243.22.160/2731.243.22.161 to 31.243.22.19031.243.22.19130
18331.243.22.192/2731.243.22.193 to 31.243.22.22231.243.22.22330
18431.243.22.224/2731.243.22.225 to 31.243.22.25431.243.22.25530
18531.243.23.0/2731.243.23.1 to 31.243.23.3031.243.23.3130
18631.243.23.32/2731.243.23.33 to 31.243.23.6231.243.23.6330
18731.243.23.64/2731.243.23.65 to 31.243.23.9431.243.23.9530
18831.243.23.96/2731.243.23.97 to 31.243.23.12631.243.23.12730
18931.243.23.128/2731.243.23.129 to 31.243.23.15831.243.23.15930
19031.243.23.160/2731.243.23.161 to 31.243.23.19031.243.23.19130
19131.243.23.192/2731.243.23.193 to 31.243.23.22231.243.23.22330
19231.243.23.224/2731.243.23.225 to 31.243.23.25431.243.23.25530
19331.243.24.0/2731.243.24.1 to 31.243.24.3031.243.24.3130
19431.243.24.32/2731.243.24.33 to 31.243.24.6231.243.24.6330
19531.243.24.64/2731.243.24.65 to 31.243.24.9431.243.24.9530
19631.243.24.96/2731.243.24.97 to 31.243.24.12631.243.24.12730
19731.243.24.128/2731.243.24.129 to 31.243.24.15831.243.24.15930
19831.243.24.160/2731.243.24.161 to 31.243.24.19031.243.24.19130
19931.243.24.192/2731.243.24.193 to 31.243.24.22231.243.24.22330
20031.243.24.224/2731.243.24.225 to 31.243.24.25431.243.24.25530
20131.243.25.0/2731.243.25.1 to 31.243.25.3031.243.25.3130
20231.243.25.32/2731.243.25.33 to 31.243.25.6231.243.25.6330
20331.243.25.64/2731.243.25.65 to 31.243.25.9431.243.25.9530
20431.243.25.96/2731.243.25.97 to 31.243.25.12631.243.25.12730
20531.243.25.128/2731.243.25.129 to 31.243.25.15831.243.25.15930
20631.243.25.160/2731.243.25.161 to 31.243.25.19031.243.25.19130
20731.243.25.192/2731.243.25.193 to 31.243.25.22231.243.25.22330
20831.243.25.224/2731.243.25.225 to 31.243.25.25431.243.25.25530
20931.243.26.0/2731.243.26.1 to 31.243.26.3031.243.26.3130
21031.243.26.32/2731.243.26.33 to 31.243.26.6231.243.26.6330
21131.243.26.64/2731.243.26.65 to 31.243.26.9431.243.26.9530
21231.243.26.96/2731.243.26.97 to 31.243.26.12631.243.26.12730
21331.243.26.128/2731.243.26.129 to 31.243.26.15831.243.26.15930
21431.243.26.160/2731.243.26.161 to 31.243.26.19031.243.26.19130
21531.243.26.192/2731.243.26.193 to 31.243.26.22231.243.26.22330
21631.243.26.224/2731.243.26.225 to 31.243.26.25431.243.26.25530
21731.243.27.0/2731.243.27.1 to 31.243.27.3031.243.27.3130
21831.243.27.32/2731.243.27.33 to 31.243.27.6231.243.27.6330
21931.243.27.64/2731.243.27.65 to 31.243.27.9431.243.27.9530
22031.243.27.96/2731.243.27.97 to 31.243.27.12631.243.27.12730
22131.243.27.128/2731.243.27.129 to 31.243.27.15831.243.27.15930
22231.243.27.160/2731.243.27.161 to 31.243.27.19031.243.27.19130
22331.243.27.192/2731.243.27.193 to 31.243.27.22231.243.27.22330
22431.243.27.224/2731.243.27.225 to 31.243.27.25431.243.27.25530
22531.243.28.0/2731.243.28.1 to 31.243.28.3031.243.28.3130
22631.243.28.32/2731.243.28.33 to 31.243.28.6231.243.28.6330
22731.243.28.64/2731.243.28.65 to 31.243.28.9431.243.28.9530
22831.243.28.96/2731.243.28.97 to 31.243.28.12631.243.28.12730
22931.243.28.128/2731.243.28.129 to 31.243.28.15831.243.28.15930
23031.243.28.160/2731.243.28.161 to 31.243.28.19031.243.28.19130
23131.243.28.192/2731.243.28.193 to 31.243.28.22231.243.28.22330
23231.243.28.224/2731.243.28.225 to 31.243.28.25431.243.28.25530
23331.243.29.0/2731.243.29.1 to 31.243.29.3031.243.29.3130
23431.243.29.32/2731.243.29.33 to 31.243.29.6231.243.29.6330
23531.243.29.64/2731.243.29.65 to 31.243.29.9431.243.29.9530
23631.243.29.96/2731.243.29.97 to 31.243.29.12631.243.29.12730
23731.243.29.128/2731.243.29.129 to 31.243.29.15831.243.29.15930
23831.243.29.160/2731.243.29.161 to 31.243.29.19031.243.29.19130
23931.243.29.192/2731.243.29.193 to 31.243.29.22231.243.29.22330
24031.243.29.224/2731.243.29.225 to 31.243.29.25431.243.29.25530
24131.243.30.0/2731.243.30.1 to 31.243.30.3031.243.30.3130
24231.243.30.32/2731.243.30.33 to 31.243.30.6231.243.30.6330
24331.243.30.64/2731.243.30.65 to 31.243.30.9431.243.30.9530
24431.243.30.96/2731.243.30.97 to 31.243.30.12631.243.30.12730
24531.243.30.128/2731.243.30.129 to 31.243.30.15831.243.30.15930
24631.243.30.160/2731.243.30.161 to 31.243.30.19031.243.30.19130
24731.243.30.192/2731.243.30.193 to 31.243.30.22231.243.30.22330
24831.243.30.224/2731.243.30.225 to 31.243.30.25431.243.30.25530
24931.243.31.0/2731.243.31.1 to 31.243.31.3031.243.31.3130
25031.243.31.32/2731.243.31.33 to 31.243.31.6231.243.31.6330
25131.243.31.64/2731.243.31.65 to 31.243.31.9431.243.31.9530
25231.243.31.96/2731.243.31.97 to 31.243.31.12631.243.31.12730
25331.243.31.128/2731.243.31.129 to 31.243.31.15831.243.31.15930
25431.243.31.160/2731.243.31.161 to 31.243.31.19031.243.31.19130
25531.243.31.192/2731.243.31.193 to 31.243.31.22231.243.31.22330
25631.243.31.224/2731.243.31.225 to 31.243.31.25431.243.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses